> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Set App Secret



## OpenAPI

````yaml /openapi-v1.json put /api/v1/apps/{name}/secrets/{secret_name}
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/apps/{name}/secrets/{secret_name}:
    put:
      tags:
        - Apps
      summary: Set App Secret
      operationId: core_api_v1_controllers_apps_set_app_secret
      parameters:
        - in: path
          name: name
          schema:
            title: Name
            type: string
          required: true
        - in: path
          name: secret_name
          schema:
            title: Secret Name
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AppSecretIn'
        required: true
      responses:
        '200':
          description: OK
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    AppSecretIn:
      properties:
        value:
          maxLength: 5120
          minLength: 1
          title: Value
          type: string
      required:
        - value
      title: AppSecretIn
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.